Public Attributes | List of all members
_mpu_region_init_t Struct Reference
Peripheral Driver » HAL Driver » CORTEX » Structures » MPU Region Configuration

MPU Region initialization structure. More...

`#include <gr55xx_hal_cortex.h>`

## Public Attributes
uint8_t | enable
uint8_t | number
uint32_t | base_address
uint8_t | size
uint8_t | subregion_disable
uint8_t | type_tex_field
uint8_t | access_permission
uint8_t | disable_exec
uint8_t | is_shareable
uint8_t | is_cacheable
uint8_t | is_bufferable

## Detailed Description

MPU Region initialization structure.

Definition at line 77 of file gr55xx_hal_cortex.h.

## Member Data Documentation

## ◆ access_permission

uint8_t _mpu_region_init_t::access_permission

Specifies the region access permission type. This parameter can be a value of CORTEX MPU Region Permission Attributes

Definition at line 96 of file gr55xx_hal_cortex.h.

## ◆ base_address

uint32_t _mpu_region_init_t::base_address

Specifies the base address of the region to protect.

Definition at line 85 of file gr55xx_hal_cortex.h.

## ◆ disable_exec

uint8_t _mpu_region_init_t::disable_exec

Specifies the instruction access status. This parameter can be a value of CORTEX MPU Instruction Access

Definition at line 99 of file gr55xx_hal_cortex.h.

## ◆ enable

uint8_t _mpu_region_init_t::enable

Specifies the status of the region. This parameter can be a value of CORTEX MPU Region Enable

Definition at line 79 of file gr55xx_hal_cortex.h.

## ◆ is_bufferable

uint8_t _mpu_region_init_t::is_bufferable

Specifies the bufferable status of the protected region. This parameter can be a value of CORTEX MPU Instruction Access Bufferable

Definition at line 108 of file gr55xx_hal_cortex.h.

## ◆ is_cacheable

uint8_t _mpu_region_init_t::is_cacheable

Specifies the cacheable status of the region protected. This parameter can be a value of CORTEX MPU Instruction Access Cacheable

Definition at line 105 of file gr55xx_hal_cortex.h.

## ◆ is_shareable

uint8_t _mpu_region_init_t::is_shareable

Specifies the shareability status of the protected region. This parameter can be a value of CORTEX MPU Instruction Access Shareable

Definition at line 102 of file gr55xx_hal_cortex.h.

## ◆ number

uint8_t _mpu_region_init_t::number

Specifies the number of the region to protect. This parameter can be a value of CORTEX MPU Region Number

Definition at line 82 of file gr55xx_hal_cortex.h.

## ◆ size

uint8_t _mpu_region_init_t::size

Specifies the size of the region to protect. This parameter can be a value of CORTEX MPU Region Size

Definition at line 87 of file gr55xx_hal_cortex.h.

## ◆ subregion_disable

uint8_t _mpu_region_init_t::subregion_disable

Specifies the number of the subregion protection to disable. This parameter must be a number between Min_Data = 0x00 and Max_Data = 0xFF

Definition at line 90 of file gr55xx_hal_cortex.h.

## ◆ type_tex_field

uint8_t _mpu_region_init_t::type_tex_field

Specifies the TEX field level. This parameter can be a value of MPU TEX Levels

Definition at line 93 of file gr55xx_hal_cortex.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_cortex.h